Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation
Class GeometryGraphOperation

    java.lang.Object
      com.vividsolutions.jts.operation.GeometryGraphOperation

Direct Known Subclasses:
  OverlayOp, RelateOp

public class GeometryGraphOperation
extends java.lang.Object

The base class for operations that require `GeometryGraph`s.

Version:
  1.7

Field Summary
`protected GeometryGraph[]` | `arg` The operation args into an array so they can be accessed by index
`protected CGAlgorithms` | `cga`
`protected LineIntersector` | `li`
`protected PrecisionModel` | `resultPrecisionModel`

Constructor Summary
`GeometryGraphOperation(Geometry g0)`
`GeometryGraphOperation(Geometry g0, Geometry g1)`
`GeometryGraphOperation(Geometry g0, Geometry g1, BoundaryNodeRule boundaryNodeRule)`

Method Summary
`Geometry` | `getArgGeometry(int i)`
`protected void` | `setComputationPrecision(PrecisionModel pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cga

    protected final CGAlgorithms cga

### li

    protected final LineIntersector li

### resultPrecisionModel

    protected PrecisionModel resultPrecisionModel

### arg

    protected GeometryGraph[] arg

  The operation args into an array so they can be accessed by index

Constructor Detail

### GeometryGraphOperation

    public GeometryGraphOperation(Geometry g0,
                                  Geometry g1)

### GeometryGraphOperation

    public GeometryGraphOperation(Geometry g0,
                                  Geometry g1,
                                  BoundaryNodeRule boundaryNodeRule)

### GeometryGraphOperation

    public GeometryGraphOperation(Geometry g0)

Method Detail

### getArgGeometry

    public Geometry getArgGeometry(int i)

### setComputationPrecision

    protected void setComputationPrecision(PrecisionModel pm)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD